Package uk.ac.starlink.task

# Class LineFormatter

java.lang.Object
java.util.logging.Formatter
uk.ac.starlink.task.LineFormatter

public class LineFormatter extends Formatter
Compact log record formatter. Unlike the default `SimpleFormatter` this generally uses only a single line for each record.

Since:
  16 June 2005
Author:
  Mark Taylor (Starlink)

## Constructor Summary

Constructors
Constructor
Description
`LineFormatter(boolean debug)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`format(LogRecord record)`

### Methods inherited from class java.util.logging.Formatter

`formatMessage, getHead, getTail`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LineFormatter

public LineFormatter(boolean debug)
Constructor.

Parameters:
  `debug` - iff true, provides more information per log message

## Method Details

### format

public String format(LogRecord record)

Specified by:
  `format` in class `Formatter`